Bug 190721 - [PATCH] math/jakarta-commons-math3: update to 3.3
Summary: [PATCH] math/jakarta-commons-math3: update to 3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-06 17:13 UTC by Steve Wills
Modified: 2014-06-14 02:24 UTC (History)
1 user (show)

See Also:


Attachments
jakarta-commons-math3-3.3.patch (2.69 KB, patch)
2014-06-06 17:13 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2014-06-06 17:13:39 UTC
Created attachment 143459 [details]
jakarta-commons-math3-3.3.patch

- Update to 3.3
- Fix build with OpenJDK 1.7

Port maintainer (5u623l20@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: update, diff: SVN)
Comment 1 Muhammad Moinur Rahman freebsd_committer 2014-06-08 11:50:26 UTC
Approved.

For Committer's reference:
http://pdr.s.ubze.ro/bulk/latest-per-pkg/jakarta-commons-math3/3.3/
Comment 2 commit-hook freebsd_committer 2014-06-14 02:23:31 UTC
A commit references this bug:

Author: swills
Date: Sat Jun 14 02:23:01 UTC 2014
New revision: 357730
URL: http://svnweb.freebsd.org/changeset/ports/357730

Log:
  - Update to 3.3
  - Enabled build on JDK 1.7 since newer version builds with 1.7 with the MAKE_ENV set
  - Disable tests since they are fail intermittently due to system load
  - Remove echo during install and unmute install commands

  PR:		190721
  Submitted by:	swills (myself)
  Approved by:	Muhammad Moinur Rahman <5u623l20@gmail.com> (maintainer) (all except test disable)

Changes:
  head/math/jakarta-commons-math3/Makefile
  head/math/jakarta-commons-math3/distinfo
  head/math/jakarta-commons-math3/files/patch-build.xml